Customer Service Order

Last Updated on : 2026-04-21 03:49:07Copy for LLMView as Markdown

API List

Request method API Description
GET /v1.0/cloud/osaas/projects/{project_id}/server-order/page API for Querying the Service Order List by Page.
GET /v1.0/cloud/osaas/projects/{project_id}/server-order/get API for Querying Service Order Details.
POST /v1.0/cloud/osaas/projects/{project_id}/server-order/producing API for Accepting a Service Order.
POST /v1.0/cloud/osaas/projects/{project_id}/server-order/finished API for Completing a Service Order.
POST /v1.0/cloud/osaas/projects/{project_id}/server-order/cancel API for Canceling a Service Order.

API for Querying the Service Order List by Page

API Description

You can use this API to query the service order list of a project by page.

API Address

GET /v1.0/cloud/osaas/projects/{project_id}/server-order/page

Request Parameters

Parameter Type Position Description Mandatory
project_id String URI Unique ID of a project. Yes
order_id String BODY Order ID. No
room_no String BODY Room number. No
order_biz_type String BODY Order business type.
MATERIAL: commodity order
SERVICE: service order
Yes
order_status String BODY Order status.
created: pending
canceled: canceled
producing: in progress
finished: completed
No
order_source String BODY Order source.
SMART_SPEAKER: smart speaker
APPLET_WX: WeChat Mini Program
APPLET_ALIPAY: Alipay Mini Program
APPLET_H5: H5 page
No
delivery_type String BODY Delivery method.
robot: robot delivery
manualDelivery: manual delivery
No
create_order_begin_time Long BODY Order creation start time, which is a 13-digit timestamp.Used in conjunction with create_order_end_time No
create_order_end_time Long BODY Order creation end time, which is a 13-digit timestamp. Used in conjunction with create_order_begin_time No
page_no Integer BODY Page number. The value must be greater than or equal to 1. Yes
page_size Integer BODY Number of records on a page, which is greater than or equal to 1 and less than or equal to 100. Yes

Response Parameters

Parameter Type Description
code Integer Response code. Null indicates success.
success Boolean Request result.
true: success
false: failure
msg String Exception message. It is null when the request result is success.
t Long Response time, which is a 13-digit timestamp.
result Object Result object.

Parameters in result

Parameter Type Description
total Long Total number of records.
page_no Integer Page number.
page_size Integer Number of records on a page.
data Arrays Order list.

Parameters in data

Parameter Type Description
space_id String Unique ID of a room.
room_no String Room number.
project_id String Unique ID of a project.
order_id String Unique ID of a trade order.
order_status String Trade order status.
created: pending
canceled: canceled
producing: in progress
finished: completed
order_biz_type String Order business type.
MATERIAL: commodity order
SERVICE: service order
second_order_biz_type String Secondary order business type.
ROOM_CLEAN: room cleaning service
ROOM_SUPPLEMENT: room supplies replenishment
ROOM_MAINTENANCE_SERVICE: maintenance service
FOOD_SERVICE: food ordering service
LANDRY_SERVICE: laundry service
RENEW: stay extension
CHECK_OUT: check-out
CHANGE_ROOM: room change
CHECK_IN: check-in
INVOICE: invoice
commodity_list Arrays Order commodity list.
checkin_order_group_id String Order group ID.
quantity Integer Commodity quantity.
order_amount BigDecimal Order amount
currency String Currency.
order_source String Order source.
SMART_SPEAKER: smart speaker
APPLET_WX: WeChat Mini Program
APPLET_ALIPAY: Alipay Mini Program
APPLET_H5: H5 page
create_order_time Long Order creation time, which is a 13-digit timestamp.
cancel_reason String Cancellation reason.
delivery_type String Delivery method.
robot: robot delivery
manualDelivery: manual delivery
delivery_no String Delivery order ID.

Parameters in commodity_list

Parameter Type Description
id String Primary key of the order commodity.
commodity_name String Commodity name.
unit_price BigDecimal Unit transaction price.
quantity Integer Commodity quantity.
order_amount BigDecimal Order amount.
currency String Currency.
icon_url String Commodity icon URL.

Request Example

GET {url}/v1.0/cloud/osaas/projects/1160823965053******/server-order/page
{
  "order_biz_type": "SERVICE",
  "page_no": 1,
  "page_size": 10
}

Success Response Example

{
  "result": {
    "total": 1,
    "page_no": 1,
    "page_size": 10,
    "data": [
      {
        "space_id": "1341704857710******",
        "room_no": "8801",
        "project_id": "1160823965053******",
        "order_id": "ORDER20260410******",
        "order_status": "created",
        "order_biz_type": "SERVICE",
        "second_order_biz_type": "ROOM_SUPPLEMENT",
        "commodity_list": [
          {
            "id": "100001",
            "commodity_name": "Mineral Water",
            "unit_price": 5.00,
            "quantity": 2,
            "order_amount": 10.00,
            "currency": "CNY",
            "icon_url": "https://example.com/water.png"
          }
        ],
        "checkin_order_group_id": "GROUP20260410******",
        "quantity": 2,
        "order_amount": 10.00,
        "currency": "CNY",
        "order_source": "APPLET_WX",
        "create_order_time": 1712736000000,
        "cancel_reason": null,
        "delivery_type": "manualDelivery",
        "delivery_no": null
      }
    ]
  },
  "success": true,
  "t": 1712736000234
}

Failure Response Example

{
  "code": 500,
  "msg": "system error,please contact the admin",
  "success": false,
  "t": 1712736000234
}

API for Querying Service Order Details

API Description

You can use this API to query the details of a service order based on the order ID.

API Address

GET /v1.0/cloud/osaas/projects/{project_id}/server-order/get

Request Parameters

Parameter Type Position Description Mandatory
project_id String URI Unique ID of a project. Yes
order_id String BODY Order ID. Yes

Response Parameters

Parameter Type Description
code Integer Response code. Null indicates success.
success Boolean Request result.
true: success
false: failure
msg String Exception message. It is null when the request result is success.
t Long Response time, which is a 13-digit timestamp.
result Object Result object.

Parameters in result

Parameter Type Description
space_id String Unique ID of a room.
room_no String Room number.
order_id String Unique ID of an order.
order_status String Trade order status.
created: pending
canceled: canceled
producing: in progress
finished: completed
order_biz_type String Order business type.
MATERIAL: commodity order
SERVICE: service order
second_order_biz_type String Secondary order business type.
ROOM_CLEAN: room cleaning service
ROOM_SUPPLEMENT: room supplies replenishment
ROOM_MAINTENANCE_SERVICE: maintenance service
FOOD_SERVICE: food ordering service
LANDRY_SERVICE: laundry service
RENEW: stay extension
CHECK_OUT: check-out
CHANGE_ROOM: room change
CHECK_IN: check-in
INVOICE: invoice
commodity_list Arrays Order commodity list.
customer_list Arrays Guest information list.
checkin_order_group_id String Order group ID.
checkin_status Integer Check-in status.
0: pending check-in
1: checked in
2: checked out
3: room change
4: guest info updated
5: guest removed
6: check-in canceled
12: overdue departure
-1: no check-in status
quantity Integer Commodity quantity.
order_amount BigDecimal Order amount.
currency String Currency.
order_source String Order source.
SMART_SPEAKER: smart speaker
APPLET_WX: WeChat Mini Program
APPLET_ALIPAY: Alipay Mini Program
APPLET_H5: H5 page
create_order_time Long Order creation time, which is a 13-digit timestamp.
finish_order_time Long Order completion time, which is a 13-digit timestamp.
cancel_order_time Long Order cancellation time, which is a 13-digit timestamp.
cancel_reason String Cancellation reason.
invoice Object Invoice information.
delivery_type String Delivery method.
robot: robot delivery
manualDelivery: manual delivery
delivery_no String Delivery order ID.

Parameters in commodity_list

Parameter Type Description
id String Primary key of the order commodity.
commodity_name String Commodity name.
unit_price BigDecimal Unit transaction price.
quantity Integer Commodity quantity.
order_amount BigDecimal Order amount.
currency String Currency.
icon_url String Commodity icon URL.

Parameters in customer_list

Parameter Type Description
customer_name String Guest name.
customer_contact String Contact information (phone number or email; phone number must include country code).
check_status Integer Check-in status.
0: pending check-in
1: checked in
2: checked out
3: room change
4: guest info updated
5: guest removed
6: check-in canceled
12: overdue departure
-1: no check-in status

Parameters in invoice

Parameter Type Description
invoice_type Integer Invoice type.
0: general invoice
1: VAT invoice
name String Invoice title.
tax_no String Tax identification number.
to_email String Email address.
address String Address.
telephone String Phone number.
bank_account String Bank account number.
bank String Bank name.

Request Example

GET {url}/v1.0/cloud/osaas/projects/1160823965053******/server-order/get
{
  "order_id": "ORDER20260410******"
}

Success Response Example

{
  "result": {
    "space_id": "1341704857710******",
    "room_no": "8801",
    "order_id": "ORDER20260410******",
    "order_status": "created",
    "order_biz_type": "SERVICE",
    "second_order_biz_type": "ROOM_SUPPLEMENT",
    "commodity_list": [
      {
        "id": "100001",
        "commodity_name": "Mineral Water",
        "unit_price": 5.00,
        "quantity": 2,
        "order_amount": 10.00,
        "currency": "CNY",
        "icon_url": "https://example.com/water.png"
      }
    ],
    "customer_list": [
      {
        "customer_name": "John Doe",
        "customer_contact": "+86-138****0001",
        "check_status": 1
      }
    ],
    "checkin_order_group_id": "GROUP20260410******",
    "checkin_status": 1,
    "quantity": 2,
    "order_amount": 10.00,
    "currency": "CNY",
    "order_source": "APPLET_WX",
    "create_order_time": 1712736000000,
    "finish_order_time": null,
    "cancel_order_time": null,
    "cancel_reason": null,
    "invoice": null,
    "delivery_type": "manualDelivery",
    "delivery_no": null
  },
  "success": true,
  "t": 1712736000234
}

Failure Response Example

{
  "code": 500,
  "msg": "system error,please contact the admin",
  "success": false,
  "t": 1712736000234
}

API for Accepting a Service Order

API Description

You can use this API to accept a service order and set the delivery method.

API Address

POST /v1.0/cloud/osaas/projects/{project_id}/server-order/producing

Request Parameters

Parameter Type Position Description Mandatory
project_id String URI Unique ID of a project. Yes
order_id String BODY Order ID. Yes
delivery_type String BODY Delivery method.
robot: robot delivery
manualDelivery: manual delivery
Yes
put_space_id String BODY Robot drop-off point ID. No
need_verify_code Boolean BODY Whether a verification code is required for item drop-off. No

Response Parameters

Parameter Type Description
code Integer Response code. Null indicates success.
success Boolean Request result.
true: success
false: failure
msg String Exception message. It is null when the request result is success.
t Long Response time, which is a 13-digit timestamp.
result Boolean Result object.

Request Example

POST {url}/v1.0/cloud/osaas/projects/1160823965053******/server-order/producing
{
  "order_id": "ORDER20260410******",
  "delivery_type": "manualDelivery"
}

Success Response Example

{
  "success": true,
  "result": true,
  "t": 1712736000234
}

Failure Response Example

{
  "code": 500,
  "msg": "system error,please contact the admin",
  "success": false,
  "t": 1712736000234
}

API for Completing a Service Order

API Description

You can use this API to mark a service order as completed.

API Address

POST /v1.0/cloud/osaas/projects/{project_id}/server-order/finished

Request Parameters

Parameter Type Position Description Mandatory
project_id String URI Unique ID of a project. Yes
order_id String BODY Order ID. Yes

Response Parameters

Parameter Type Description
code Integer Response code. Null indicates success.
success Boolean Request result.
true: success
false: failure
msg String Exception message. It is null when the request result is success.
t Long Response time, which is a 13-digit timestamp.
result Boolean Result object.

Request Example

POST {url}/v1.0/cloud/osaas/projects/1160823965053******/server-order/finished
{
  "order_id": "ORDER20260410******"
}

Success Response Example

{
  "success": true,
  "result": true,
  "t": 1712736000234
}

Failure Response Example

{
  "code": 500,
  "msg": "system error,please contact the admin",
  "success": false,
  "t": 1712736000234
}

API for Canceling a Service Order

API Description

You can use this API to cancel a service order.

API Address

POST /v1.0/cloud/osaas/projects/{project_id}/server-order/cancel

Request Parameters

Parameter Type Position Description Mandatory
project_id String URI Unique ID of a project. Yes
order_id String BODY Order ID. Yes
reason String BODY Cancellation reason. No

Response Parameters

Parameter Type Description
code Integer Response code. Null indicates success.
success Boolean Request result.
true: success
false: failure
msg String Exception message. It is null when the request result is success.
t Long Response time, which is a 13-digit timestamp.
result Boolean Result object.

Request Example

POST {url}/v1.0/cloud/osaas/projects/1160823965053******/server-order/cancel
{
  "order_id": "ORDER20260410******",
  "reason": "Guest canceled the request"
}

Success Response Example

{
  "success": true,
  "result": true,
  "t": 1712736000234
}

Failure Response Example

{
  "code": 500,
  "msg": "system error,please contact the admin",
  "success": false,
  "t": 1712736000234
}

Error Code

The following are common business exceptions for this interface. For more exception errors, see Global Error Codes.

error code explain
500 system error